.footer :is(.title3, .title4, .title5, .title6 .title7) {
  margin-block-end: 12px;
}

.footer .footer__custom-text p {
  margin: 0;
  padding: 0;
}

.footer .footer__custom-text .rte {
  overflow-wrap: break-word;
  word-break: break-word;
  margin-top: 20px;
}

.footer .footer__custom-text .rte,
.footer .footer__custom-text .rte p:last-child {
  display: flex;
  flex-direction: column;
  gap: 10px;

}

.footer .footer__social-media .social-icons {
  margin-top: 30px;
}

.footer .footer__navigation-list {
  gap: 14px;
}

.footer .field__inner::before {
  content: unset;
}

.footer .footer__subscription .field__inner input {
  padding: 0;
  border-bottom: 1px solid rgba(var(--color-text) / var(--input-border-opacity));
}

.footer .footer__subscription .field__inner input::placeholder {
  color: rgba(0, 0, 0, .45);
}

.footer .footer__subscription .field__suffix button {
  display: inline-flex;
  flex-direction: row;
  align-items: center;
  gap: 8px;
}

.footer__subscription>form:not(:first-child) {
  margin-block-start: 30px;
}

.footer__subscription .field {
  margin-block-end: 0;
}

.footer__subscription .field__inner {
  --color-text: var(--color-button-background);
  --color-background: var(--color-button-text);
  --input-border-opacity: 1;
}

.footer__subscription .field__input {
  background-color: rgb(var(--color-background));
}

.footer__subscription .field__input::placeholder {
  opacity: 1;
}

.footer__subscription .field__suffix {
  height: var(--input-height);
  padding: 0;
}

.footer-section .if-special .social-icons {
  gap: 30px;
}

@media (min-width:1024px) {
  .footer-section .if-special.footer__group {
    flex-wrap: nowrap;
  }
}

@media (min-width: 960px) {

  .footer__subscription .field__inner {
    display: inline-flex;
  }

  .footer__subscription>form:not(:first-child) {
    margin-block-start: 32px;
  }
}

.footer__navigation {
  position: relative;
}

.footer__navigation-title .icon {
  display: none;
}

@media (min-width: 960px) {
  .footer__navigation-title+.footer__navigation-content {
    margin-block-start: 24px;
  }
}

@media (max-width: 959px) {
  .footer .footer__navigation-title {
    margin-block-end: 0;
  }

  .footer__navigation-title {
    padding-block: 16px;
  }

  .footer__navigation-title .icon {
    display: none;
  }

  .footer__navigation-title .icon-plus {
    display: inline;
  }

  .footer__navigation-title+.footer__navigation-content {
    height: 0;
    opacity: 0;
    overflow: hidden;
  }

  .footer__navigation-list {
    padding-block: 20px;
  }

  .footer__navigation-title+.footer__navigation-content .footer__navigation-list {
    padding-block-start: 0;
  }

  .footer__navigation[open] .footer__navigation-title .icon {
    display: none;
  }

  .footer__navigation[open] .footer__navigation-title .icon-minus {
    display: inline;
  }

  .footer__navigation[open] .footer__navigation-content {
    height: auto;
    opacity: 1;
  }

  .footer__navigation::after {
    content: '';
    position: absolute;
    inset-block-end: 0;
    inset-inline-start: 0;
    width: 100%;
    border-block-end: 1px solid rgb(var(--color-border));
  }
}


.footer-section .if-special .footer__subscription .field__input {
  background: transparent;
}

.footer-section .v-button {
  color: rgb(var(--color-button-text))
}

.footer-section .leading-none {
  color: rgb(var(--color-text));
}

@media (min-width:768px) and (max-width:1024px) {
  .footer-section .page-width {
    padding: 80px 111px;
  }

  .footer-section .if-special {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    row-gap: 60px;
    column-gap: 0;
  }

  .shopline-section theme-footer-parallax.footer-section:has(.if-special) {
    padding: 0;
  }

  .footer-section .if-special .footer__subscription .field__inner {
    width: 100%;
    --input-border-thickness: 1px;
  }

  .footer-section .if-special .leading-none {
    text-align: center;
    max-width: 343px;
    margin: 0 auto;
  }

  .footer-section .if-special .leading-none.footer__custom-text {
    text-align: left;
    max-width: 369px;
    margin: 0;
  }

  .footer-section .if-special .footer__subscription,
  .footer-section .if-special .footer__social-media {
    width: 100%;
  }

  .footer-section .if-special .footer__social-media {
    text-align: center;
  }

  .footer-section .if-special .footer__navigation,
  .footer-section .if-special .footer__custom-text {
    width: 50%;
  }

  .footer-section .if-special .footer__custom-text {
    text-align: left;
  }

  .footer-section .if-special .footer__navigation::after {
    content: unset;
  }

  .footer-section .if-special .footer__navigation-list {
    padding-block: 0;
  }
}

@media (max-width:767px) {
  .footer__subscription>form:not(:first-child) {
    margin-block-start: 21px;
  }

  .footer-section .if-special .leading-none {
    text-align: center;
    max-width: 369px;
    margin: 0 auto;
  }

  .footer-section .if-special {
    gap: 40px;
  }

  .footer-section .if-special .footer__navigation-list {
    padding-block: 0;
  }

  .footer .if-special .footer__navigation-list {
    justify-content: center;
    align-items: center;
  }

  .footer-section .if-special .footer__navigation::after {
    content: unset;
  }

  .footer-section .if-special .footer__social-media {
    text-align: center;
  }

}